<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.hwmf.record (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.hwmf.record (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.hwmf.record" class="title">Uses of Package<br>org.apache.poi.hwmf.record
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwmf.draw">org.apache.poi.hwmf.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwmf.record">org.apache.poi.hwmf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwmf.usermodel">org.apache.poi.hwmf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwmf.draw">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a> used by <a
                        href="../../../../../org/apache/poi/hwmf/draw/package-summary.html">org.apache.poi.hwmf.draw</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfBrushStyle.html#org.apache.poi.hwmf.draw">HwmfBrushStyle</a>
                        <div class="block">A 16-bit unsigned integer that defines the brush style.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfColorRef.html#org.apache.poi.hwmf.draw">HwmfColorRef</a>
                        <div class="block">A 32-bit ColorRef Object that defines the color value.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.html#org.apache.poi.hwmf.draw">HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode</a>
                        <div class="block">A 16-bit unsigned integer that defines polygon fill mode.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFont.html#org.apache.poi.hwmf.draw">HwmfFont</a>
                        <div class="block">The Font object specifies the attributes of a logical font</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfHatchStyle.html#org.apache.poi.hwmf.draw">HwmfHatchStyle</a>
                        <div class="block">The HatchStyle Enumeration specifies the hatch pattern.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfMapMode.html#org.apache.poi.hwmf.draw">HwmfMapMode</a>
                        <div class="block">A 16-bit unsigned integer that defines the mapping mode.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfMisc.WmfSetBkMode.HwmfBkMode.html#org.apache.poi.hwmf.draw">HwmfMisc.WmfSetBkMode.HwmfBkMode</a>
                        <div class="block">A 16-bit unsigned integer that defines background mix mode.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfObjectTableEntry.html#org.apache.poi.hwmf.draw">HwmfObjectTableEntry</a>
                        <div class="block">Marker interface for Records, which should be added to the
                            WMF object table for further selection
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPalette.PaletteEntry.html#org.apache.poi.hwmf.draw">HwmfPalette.PaletteEntry</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPenStyle.html#org.apache.poi.hwmf.draw">HwmfPenStyle</a>
                        <div class="block">The 16-bit PenStyle Enumeration is used to specify different types of pens
                            that can be used in graphics operations.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfText.HwmfTextAlignment.html#org.apache.poi.hwmf.draw">HwmfText.HwmfTextAlignment</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfText.HwmfTextVerticalAlignment.html#org.apache.poi.hwmf.draw">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwmf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a> used by <a
                        href="../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfBinaryRasterOp.html#org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>
                        <div class="block">The BinaryRasterOperation Enumeration section lists the binary
                            raster-operation codes.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfBitmapDib.BitCount.html#org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfBitmapDib.Compression.html#org.apache.poi.hwmf.record">HwmfBitmapDib.Compression</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfBrushStyle.html#org.apache.poi.hwmf.record">HwmfBrushStyle</a>
                        <div class="block">A 16-bit unsigned integer that defines the brush style.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfColorRef.html#org.apache.poi.hwmf.record">HwmfColorRef</a>
                        <div class="block">A 32-bit ColorRef Object that defines the color value.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfDraw.WmfArc.html#org.apache.poi.hwmf.record">HwmfDraw.WmfArc</a>
                        <div class="block">The META_ARC record draws an elliptical arc.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfDraw.WmfPolygon.html#org.apache.poi.hwmf.record">HwmfDraw.WmfPolygon</a>
                        <div class="block">The META_POLYGON record paints a polygon consisting of two or more vertices
                            connected by
                            straight lines.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfEscape.EscapeFunction.html#org.apache.poi.hwmf.record">HwmfEscape.EscapeFunction</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFill.ColorUsage.html#org.apache.poi.hwmf.record">HwmfFill.ColorUsage</a>
                        <div class="block">The ColorUsage Enumeration (a 16-bit unsigned integer) specifies whether a
                            color table
                            exists in a device-independent bitmap (DIB) and how to interpret its values,
                            i.e.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFill.HwmfImageRecord.html#org.apache.poi.hwmf.record">HwmfFill.HwmfImageRecord</a>
                        <div class="block">A record which contains an image (to be extracted)</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.html#org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode</a>
                        <div class="block">A 16-bit unsigned integer that defines polygon fill mode.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFont.html#org.apache.poi.hwmf.record">HwmfFont</a>
                        <div class="block">The Font object specifies the attributes of a logical font</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFont.WmfClipPrecision.html#org.apache.poi.hwmf.record">HwmfFont.WmfClipPrecision</a>
                        <div class="block">ClipPrecision Flags specify clipping precision, which defines how to clip
                            characters that are
                            partially outside a clipping region.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFont.WmfFontQuality.html#org.apache.poi.hwmf.record">HwmfFont.WmfFontQuality</a>
                        <div class="block">The output quality defines how carefully to attempt to match the logical font
                            attributes to those of an actual
                            physical font.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfFont.WmfOutPrecision.html#org.apache.poi.hwmf.record">HwmfFont.WmfOutPrecision</a>
                        <div class="block">The output precision defines how closely the output must match the requested
                            font's height,
                            width, character orientation, escapement, pitch, and font type.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfHatchStyle.html#org.apache.poi.hwmf.record">HwmfHatchStyle</a>
                        <div class="block">The HatchStyle Enumeration specifies the hatch pattern.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfMapMode.html#org.apache.poi.hwmf.record">HwmfMapMode</a>
                        <div class="block">A 16-bit unsigned integer that defines the mapping mode.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfMisc.WmfSetBkMode.HwmfBkMode.html#org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode.HwmfBkMode</a>
                        <div class="block">A 16-bit unsigned integer that defines background mix mode.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfObjectTableEntry.html#org.apache.poi.hwmf.record">HwmfObjectTableEntry</a>
                        <div class="block">Marker interface for Records, which should be added to the
                            WMF object table for further selection
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPalette.PaletteEntry.html#org.apache.poi.hwmf.record">HwmfPalette.PaletteEntry</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPalette.WmfPaletteParent.html#org.apache.poi.hwmf.record">HwmfPalette.WmfPaletteParent</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPenStyle.html#org.apache.poi.hwmf.record">HwmfPenStyle</a>
                        <div class="block">The 16-bit PenStyle Enumeration is used to specify different types of pens
                            that can be used in graphics operations.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPenStyle.HwmfLineCap.html#org.apache.poi.hwmf.record">HwmfPenStyle.HwmfLineCap</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPenStyle.HwmfLineDash.html#org.apache.poi.hwmf.record">HwmfPenStyle.HwmfLineDash</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPenStyle.HwmfLineJoin.html#org.apache.poi.hwmf.record">HwmfPenStyle.HwmfLineJoin</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPlaceableHeader.html#org.apache.poi.hwmf.record">HwmfPlaceableHeader</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfRecord.html#org.apache.poi.hwmf.record">HwmfRecord</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfRecordType.html#org.apache.poi.hwmf.record">HwmfRecordType</a>
                        <div class="block">Available record types for WMF</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfTernaryRasterOp.html#org.apache.poi.hwmf.record">HwmfTernaryRasterOp</a>
                        <div class="block">Each ternary raster operation code represents a Boolean operation in which
                            the values of the pixels in
                            the source, the selected brush, and the destination are combined.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfText.HwmfTextAlignment.html#org.apache.poi.hwmf.record">HwmfText.HwmfTextAlignment</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfText.HwmfTextVerticalAlignment.html#org.apache.poi.hwmf.record">HwmfText.HwmfTextVerticalAlignment</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hwmf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a> used by <a
                        href="../../../../../org/apache/poi/hwmf/usermodel/package-summary.html">org.apache.poi.hwmf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfHeader.html#org.apache.poi.hwmf.usermodel">HwmfHeader</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfPlaceableHeader.html#org.apache.poi.hwmf.usermodel">HwmfPlaceableHeader</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/hwmf/record/class-use/HwmfRecord.html#org.apache.poi.hwmf.usermodel">HwmfRecord</a>&nbsp;
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
